adjtimex (1.29-11.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.

  [ Chris Hofstaedtler ]
  * Remove dependency on obsolete lsb-base
  * Install files into /usr (DEP17 M2). (Closes: #1057016)
    Update paths.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 26 Jan 2024 21:35:30 +0100

adjtimex (1.29-11) unstable; urgency=medium

  * debian/patches:
    - Add patch to fix ntpdate command (Closes: #944867).
  * debian/control:
    - Use my debian email.
    - Move Vcs-* to salsa.
    - Add Rules-Requires-Root: no

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Apr 2021 00:11:49 +0900

adjtimex (1.29-10) unstable; urgency=medium

  * debian/patches:
      - Add 08 patch to fix FTCBFS in rebootstrap (Closes: #882577).
      - Add 09 patch to fix the adjtimex.8 manual (Closes: #902300).
      - Add 10 patch to fix STA_NANO issue in manpage adjtimex(8), and
        what displays on command "adjtime -p". (Closes: #858668)
  * debian/changelog:
      - Remove trailing spaces in previous entries to make lintian happy.
  * debian/watch:
      - Use secure https URL when possible.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 25 Jul 2018 18:29:50 +0800

adjtimex (1.29-9) unstable; urgency=medium

  * debian/patches:
      - Add 07 patch to update manpage adjtimex.8:
        . Add a few new timex status from kernel parameter.
          Thanks to Chris Hiestand <chiestand@salk.edu>. (Closes: #759399)
        . Update the example to explain --frequency calculation.
          Thanks to Marco Marongiu <brontolinux@gmail.com>.
          (Closes: #743444)
  * debian/contrib:
      - Add a contrib script to calculate frequency from NTP drift file.
        Thanks to <sacrificial-spam-address@horizon.com>. (Closes: #397182)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 29 Oct 2016 20:56:42 +0900

adjtimex (1.29-8) unstable; urgency=medium

  * debian/patches:
      - Improve precision. Thanks Christopher Alexander Tobias Schulze.
        (Closes: #633082).
      - Update patches to make compatible with "gbp pq" command.
  * Upgrade to support debhelper 10
  * debian/copyright:
      - Update URL to make use of https instead of http, when possible
  * debian/control:
      - Add lsb-base as dependency to package shadowsocks-libev, since
        the init script sources /lib/lsb/init-functions utility functions
      - Bump policy version to 3.9.8 (no actual change required)
  * debian/adjtimex.service:
      - Add documentation line. Thanks to lintian.
  * debian/rules:
      - Add a few comments
      - Remove hardening setting already enabled by default since compat=9

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 23 Oct 2016 11:31:38 +0900

adjtimex (1.29-7) unstable; urgency=medium

  * remove the wrong debian/dirs line in changelog of previous version 1.29-6
  * debian/patches:
      - Replace patch 03 with the one by Bjarni I. Gislason, which also
        minimizes the time of lock over "/dev/rtc" (Closes: #724929).
      - Fix potential uninitialized memory accessing
        (thanks peppe <g1pi@libero.it>, Closes: #688933).
      - Avoid a few gcc warnings
  * debian/copyright: Add copyright for newly added patch
  * debian/adjtimexconfig:
      - Move tmp file during executing from /etc to /tmp.
      - Code clean up.
  * debian/templates + debian/config + debian/po + debian/NEWS:
      - Remove the debconf whether to start adjtimex on startup, which now
        depends on the existence of /etc/default/adjtimex file. By default,
        there's no /etc/default/adjtimex, which is generated by running:
        adjtimexconfig.
      - adjtimexconfig is still a choice in defconf, but change to false by
        default because it takes 70 seconds to execute on install/upgrade.
  * debian/postinst:
      - Refrain from running adjtimexconfig on configure, which is triggered by
        each install/upgrade
      - Refrain from starting adjtimex service on configure (Closes: #785208).
      - Code clean up.
  * debian/postrm:
      - Code clean up.
  * debian/adjtimex.init + debian/adjtimex.service: Start adjtimex service
      on startup only if config file /etc/default/adjtimex is ready.
  * debian/adjtimexconfig.8: Update man page

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 17 Dec 2015 01:38:08 +0900

adjtimex (1.29-6) unstable; urgency=medium

  * New maintainer (Closes: #636404).
  * debian/adjtimex.service: add systemd service (Closes: #796588).
  * debian/control: limit "Architecture" to linux-any
  * debian/patches/:
    - change the patching order to follow 01->02->03
    - 03-remove-a-few-unused-variable-to-avoid-gcc-warnings.patch:
      remove a few unused variables to avoid gcc warnings.
  * debian/watch: update to use real upstream's URL
  * remove unnecessary debian/dirs file

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 03 Dec 2015 01:04:06 +0900

adjtimex (1.29-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/copyright:
      - Dropping dot-zero from GPL license short name.
      - Updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 16:40:45 -0300

adjtimex (1.29-4) experimental; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * debian/control: removed an extra space from Depends field.
  * debian/copyright: migrated to 1.0 (DEP5) format.
  * debian/patches/:
      - 01-makefile.in-ldflags.diff: improved to allow full GCC hardening.
      - 02-fix-manpage: added to fix some hyphen used as minus sign.
  * debian/rules:
      - Added the '-f' option to 'rm' command in override_dh_clean target.
      - Added the variable 'DEB_BUILD_MAINT_OPTIONS' to add all flags
        requested by blhc command.
  * debian/watch: added a fake site to explain about the current
      status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Nov 2014 09:31:06 -0200

adjtimex (1.29-3) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/postinst:
    - Fix extended regexp to avoid removing /etc/default/adjtimex on
      upgrades. Closes: #688368.
    - Fix character class syntax in extended regexp. Closes: #630812.
    - Check if conffile exists before reading it.
  * patches/01-makefile.in-ldflags.diff: add LDFLAGS to Makefile.in.
  * Set debhelper compatibility level to 9.
  * Rewrite debian/rules using dh(1) with autoreconf.
  * Source /lib/lsb/init-functions in init.d script.
  * Bump Standards-Version to 3.9.5.

 -- Emanuele Rocca <ema@debian.org>  Fri, 28 Mar 2014 15:59:46 +0100

adjtimex (1.29-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make the package multiarch-ready: add build-arch and build-indep
    build targets
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #601529
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #610409
    - Dutch (Michiel Sikkes).  Closes: #625744

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jul 2011 07:06:43 +0200

adjtimex (1.29-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Czech (Martin Sin).  Closes: #589289
    - Bokmål, Norwegian (Bjørn Steensrud).  Closes: #600279

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Oct 2010 07:14:50 +0200

adjtimex (1.29-2) unstable; urgency=low

  * debian/postinst: check conffile for corruption (Closes:Bug#571633,
    thanks to Savvas Radevic <vicedar@gmail.com> for the idea, though I
    chose a different implementation.)

 -- James R. Van Zandt <jrv@debian.org>  Tue, 25 May 2010 20:49:21 -0400

adjtimex (1.29-1) unstable; urgency=low

  * New upstream release: Document the --force-adjust
    option. --force-adjust suppresses warning printouts. Relax sanity
    check to +- 1 percent.

  * debian/adjtimexconfig: Use --force-adjust option, so adjustment is
    applied even if system clock is way off.  (Thanks to Santiago Vila
    <sanvila@unex.es> for helping to diagnose the problem.
    Closes:Bug#557949, #559882)

  * debian/adjtimex.init: fix LSB comment header: require $local_fs, start
    in S

 -- James R. Van Zandt <jrv@debian.org>  Fri, 16 Apr 2010 20:08:49 -0400

adjtimex (1.28-4) unstable; urgency=low

  * Update debconf template translations:
    Swedish (Thanks to Martin Bagge <brother@bsnet.se>, Closes:Bug#572579)

 -- James R. Van Zandt <jrv@debian.org>  Wed, 17 Mar 2010 19:51:06 -0400

adjtimex (1.28-3) unstable; urgency=low

  * Update debconf template translations:
    Swedish (Thanks to Martin Bagge <brother@bsnet.se>, Closes:Bug#562932)
    Russian (thanks to Yuri Kozlov <yuray@komyakino.ru>, Closes:Bug#563347)
    Finnish (thanks to Esko =?UTF-8?Q?Araj=C3=A4rvi?= <edu@iki.fi>,
    Closes:Bug#564508)

  * debian/control: bump standards version to 3.8.4 (no changes needed)

 -- James R. Van Zandt <jrv@debian.org>  Mon, 08 Feb 2010 20:19:44 -0500

adjtimex (1.28-2) unstable; urgency=low

  * Move Swedish and Russian template translations to the correct directory
    (thanks to Martin Bagge <brother@bsnet.se> for pointing out the
    problem).

  * debian/control: bump standards version to 3.8.3 (no changes needed)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 05 Feb 2010 21:42:54 -0500

adjtimex (1.28-1) unstable; urgency=low

  * New upstream release: (compare): Correctly apply +-500 ppm sanity
    check (Thanks to Jacques luder <j.luder@laposte.net>)

  * Update debconf template translations:
    Swedish (thanks to: Martin Bagge <brother@bsnet.se>,
    Closes:Bug#533567)
    Russian (thanks to: Yuri Kozlov <yuray@komyakino.ru>,
    Closes:Bug#532068)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 07 Nov 2009 11:59:29 -0500

adjtimex (1.27.1-4) unstable; urgency=low

  * Update translations:
    Japanese (thanks to: Hideki Yamane, henrich @ debian.or.jp.
    Closes:Bug#538242)
    Spanish (Thanks to Francisco Javier Cuadrado <fcocuadrado@gmail.com>,
    Closes:Bug#538425)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 26 Jul 2009 17:36:16 -0400

adjtimex (1.27.1-3) unstable; urgency=low

  * Update translations:
    Japanese (thanks to: Hideki Yamane, henrich @ debian.or.jp.
    Closes:Bug#525233)
    Swedish (thanks to: Martin Bagge <brother@bsnet.se>.  Closes:Bug#525924)
    Spanish (thanks to: Francisco Javier Cuadrado <fcocuadrado@gmail.com>,
    Closes:Bug#528621)
    Russian (thanks to: Yuri Kozlov <yuray@komyakino.ru>, Closes:Bug#529047)
    Czech (thanks to: Martin Sin <martin.sin@zshk.cz>, Closes:Bug#529652)

 -- James R. Van Zandt <jrv@debian.org>  Tue, 26 May 2009 20:47:42 -0400

adjtimex (1.27.1-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #519431
  * Update translation:
    French (Closes:Bug#520986)

 -- James R. Van Zandt <jrv@debian.org>  Wed, 20 May 2009 22:03:38 -0400

adjtimex (1.27.1-1) unstable; urgency=low

  * New upstream release.  Provide workaround if linux/rtc.h
    is missing (Closes:#308864)

  * debian/rules: delete config temporaries, but not config.h.in
  * debian/control: bump version to 3.8.1 (no changes needed)

  * Update translations:
    Japanese (Thanks to: henrich@debian.or.jp [188] Closes:Bug#522188)
    Czech (Thanks to: martin.sin@zshk.cz [219] Closes:Bug#522193)
    Swedish (Thanks to: brother@bsnet.se [194] Closes:Bug#522979)
    Basque (Thanks to: pi+debian@beobide.net [207] Closes:Bug#523079)
    Italian (Thanks to: vinz65@gmail.com [197] Closes:Bug#523419)
    Spanish (Thanks to: fcocuadrado@gmail.com [193] Closes:Bug#523915)
    Russian (Thanks to: yuray@komyakino.ru [223] Closes:Bug#524069)
    German (Thanks to: schanzi_@gmx.de [226] Closes:Bug#524224)
    Portuguese (Thanks to: carloslisboa@gmail.com [170] Closes:Bug#524283)
    Danish (Thanks to: debian@overbygaard.dk [209] Closes:Bug#524368)
    Galician (Thanks to: mvillarino@gmail.com [216] Closes:Bug#524397)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 18 Apr 2009 16:35:22 -0400

adjtimex (1.27-1) unstable; urgency=low

  * New upstream release.  If using update interrupt, sanity check the
    delay.  Sometimes the status includes an update complete flag, but it
    actually didn't wait.  Fall back to another method of reading RTC
    (closes:Bug#517732) Calculate RTC correction as PPM of RTC time
    (Thanks to Alain Guibert, closes:Bug#308863).

  * debian/control: add ${misc:Depends} per lintian warning.

 -- James R. Van Zandt <jrv@debian.org>  Sun, 22 Mar 2009 21:54:51 -0400

adjtimex (1.26-2) unstable; urgency=low

  * debian/templates: Clarify wording: ask about running "when installed
    or upgraded" not just "at installation time" (thanks to Uwe Storbeck
    <uwe@ibr.ch> and Michael Meskes <meskes@debian.org>,
    Closes:Bug#514987)

  * debian/postinst: don't prepend path to command running adjtimexconfig
    to silence lintian complaint.  (The package management system already
    puts /usr/sbin in path, because that's where install-info is.)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 14 Feb 2009 11:46:24 -0500

adjtimex (1.26-1) unstable; urgency=low

  * New upstream release. Fix a possible hang with the Intersil ISL1208,
    one of those new non-PC-compatible RTCs. Cleanly exits with an error
    message, instead of either hang or returning garbage. (Thanks to Alain
    Guibert).

  * debian/control: bump Debian policy version to 3.8.0 (no changes needed)

  * debian/rules: use "filter" instead of "findstring" to parse
    DEB_BUILD_OPTIONS.

 -- James R. Van Zandt <jrv@debian.org>  Sun, 17 Aug 2008 17:52:14 -0400

adjtimex (1.25-1) unstable; urgency=low

  * New upstream release.  Set an alarm to avoid blocking even if /dev/rtc
    never becomes readable, then fall back to busywait. New --nointerrupt
    option to force busywait without first waiting for the interrupt
    timeout (thanks to Alain Guibert). (closes:Bug#477637,Bug#474337).
    Update man page (closes:Bug#435956).

 -- James R. Van Zandt <jrv@debian.org>  Fri, 08 Aug 2008 19:43:38 -0400

adjtimex (1.24-1) unstable; urgency=low

  * New upstream release

  * adjtimex.c: Reorganize cmos_read_time() to properly integrate the
    fallback case for when /dev/rtc has no interrupts. Make this fallback
    actually work. fixes partially(?) Debian bug #460065 (Thanks to Alain
    Guibert <alguibert@free.fr>) (closes:Bug#471203)

  * (cmos_read_time): Fix Y2K bug: read century from byte 50, instead of
    assuming we're in the range 1969-2068.

  * Implement second kind of busywait (busywait_second_change): when
    /dev/rtc interrupt is not available, fallbacks to loops around
    ioctl(RTC_RD_TIME) until the RTC second changes. Patch applies to
    adjtimex 1.23 above first no-interrupt-fallback.patch fixes
    partially(?) Debian bug #460065 (Thanks to: Alain Guibert
    <alguibert@free.fr>)

  * (cmos_read_time) If /dev/rtc does not exist then automatically
    fallback to /dev/rtc0, so it works even without symlink. (Thanks to:
    Alain Guibert <alguibert@free.fr>)

  * adjtimex.c (main): fix typo in options handling (thanks to Miroslav
    Lichvar <mlichvar@redhat.com>)

  * debian/control: bump Debian policy version to 3.7.3 (no changes needed)

  * debian/dirs: don't install empty directory /usr/bin

 -- James R. Van Zandt <jrv@debian.org>  Fri, 04 Apr 2008 22:05:01 -0400

adjtimex (1.23-1) unstable; urgency=low

  * New upstream release

  * adjtimex.c (compare): In case of absence of /etc/adjtime, do not fail,
    and do not force users to manually create it with 0.0
    content. Instead, proceed assuming zero values (meaning RTC does not
    drift). Also replace redundant code by a call to
    get_cmos_adjustment(). README: Rewrite USAGE paragraph. Remove point
    about creating zero adjfile. Document new behaviour without
    adjfile. Remove reference to the long outdated clock(8). Update URL
    for hwclock(8).  (Thanks to Alain Guibert <alguibert@free.fr>,
    closes:bug#445448)

  * adjtimex.c (busy_wait): timestamp more closely the RTC clock beat
    (thanks to Alain Guibert <alguibert at free.fr>, see Debian
    bug#443814). (usage): --directisa switch forces adjtimex to poll the
    update-in-process (UIP) flag of the CMOS clock (thanks to Alain
    Guibert <alguibert at free.fr>, closes:bug#443773).

 -- James R. Van Zandt <jrv@debian.org>  Sat, 06 Oct 2007 21:57:04 -0400

adjtimex (1.22-1) unstable; urgency=low

  * New upstream release: fix these bugs in ntpdate output
    interpretation (closes:bug#438718):
    adjtimex has a bug in evaluating the output of ntpdate, because
        1. it assumes ntpdate outputs "adjust time server", but ntpdate
    may output "step time server" also
        2. it doesnt stop at last line but as soon as it has found "filter
    offset:" lines, and because of this it will not find the "offset ..."
    information in the last line.

 -- James R. Van Zandt <jrv@debian.org>  Sun, 23 Sep 2007 12:51:52 -0400

adjtimex (1.21.1-3) unstable; urgency=low

  * update German translation of debconf templates, thanks to Erik Schanze
    <eriks@debian.org> and Helge Kreutzmann
    <debian@helgefjell.de>(closes:#436080)

  * debian/rules don't ignore failure of "make distclean"

  * debian/adjtimex.init: make LSB compliant

 -- James R. Van Zandt <jrv@debian.org>  Mon, 06 Aug 2007 21:39:47 -0400

adjtimex (1.21.1-2) unstable; urgency=low

  * Update French translation of debconf templates, thanks to Christian
    Perrier <bubulle@debian.org> (closes:Bug#403472)

 -- James R. Van Zandt <jrv@debian.org>  Sun,  7 Jan 2007 18:10:32 -0500

adjtimex (1.21.1-1) unstable; urgency=low

  * New upstream release.

  * adjtimex.c: don't declare adjtimex syscall (should already be getting
    the declaration from sys/timex.h) Thanks to Andreas Jochens
    <aj@andaco.de> (closes:#390989)

 -- James R. Van Zandt <jrv@debian.org>  Sat,  7 Oct 2006 08:04:52 -0400

adjtimex (1.21-2) unstable; urgency=low

  * Makefile: correct version number to 1.21 (error in importing upstream
    sources)

  * debian/control: depend on po-debconf

 -- James R. Van Zandt <jrv@debian.org>  Fri,  6 Oct 2006 20:41:00 -0400

adjtimex (1.21-1) unstable; urgency=low

  * New upstream release.  use /dev/rtc if available (closes:#196692). Use
    heuristic to correct for DST changes or lacking --utc flag
    (closes:#308396). check return code in probe_time() so if root
    privileges are needed (e.g. "adjtimex -r") and lacking, command will
    fail rather than printing bogus results. (closes:#364060)

  * debian/postinst: start with invoke-rc.d if available (closes:#367746)

  * debian/control: update to policy 3.7.2

 -- James R. Van Zandt <jrv@debian.org>  Sat, 20 May 2006 08:33:05 -0400

adjtimex (1.20-7) unstable; urgency=low

  * debian/README.Debian: correct references to files, which are no longer
    in /usr/doc/adjtimex (closes:#365761)
  * debian/rules: declare debhelper compat level 5
  * debian/control: build-depends on debhelper ver 5

 -- James R. Van Zandt <jrv@debian.org>  Thu,  4 May 2006 21:54:33 -0400

adjtimex (1.20-6) unstable; urgency=low

  * control: depend on debconf | debconf-2.0 (closes: #331733), update to
    policy 3.6.2
  * debian/po/de.po: fix spelling error in German translation, thanks to
    Philipp Meier <meier@meisterbohne.de> (closes: #279254)
  * debian/po/sv.po: Swedish translation for debconf template, courtesy
    of Daniel Nylander <yeager@lidkoping.net> (closes: #333124)
  * debian/po: Add Portugese  translation for debconf template, courtesy of
    Miguel Figueiredo <elmig@debianpt.org> (closes: #336333)
  * debian/po: Add Russian translation for debconf template, courtesy of
    Yuri Kozlov <kozlov.y@gmail.com> (closes: #337967)
  * debian/copyright: update FSF address.

 -- James R. Van Zandt <jrv@debian.org>  Fri, 25 Nov 2005 21:04:08 -0500

adjtimex (1.20-5) unstable; urgency=low

  * debian/po/vi.po: Vietnamese translation for debconf template, courtesy
    of Clytie Siddall <clytie@riverland.net.au> (closes:Bug#307600)

 -- James R. Van Zandt <jrv@debian.org>  Sat,  7 May 2005 11:58:47 -0400

adjtimex (1.20-4) unstable; urgency=low

  * debian/po/cs.po: Czech translation for debconf template, courtesy of
    Martin Šín <martin.sin@seznam.cz> (closes:Bug#304377)

 -- James R. Van Zandt <jrv@debian.org>  Mon, 25 Apr 2005 20:14:42 -0400

adjtimex (1.20-3) unstable; urgency=low

  * debian/adjtimex.init: adjust printout to conform to Debian standard,
    output error to stderr (Thanks to Thomas Hood, closes:bug#294824)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 13 Mar 2005 17:20:28 -0500

adjtimex (1.20-2) unstable; urgency=low

  * debian/po/de.po: replace corrupted file (closes: #250250)

 -- James R. Van Zandt <jrv@debian.org>  Mon, 20 Sep 2004 20:08:47 -0400

adjtimex (1.20-1) unstable; urgency=low

  * New upstream release

  * adjtimex.c (compare): in "compare" or "adjust", return immediately
    after printing last result, instead of sleeping an extra $interval
    seconds. (Thanks to Alain Guibert <derogaton at oreka.com>,
    closes:Bug#243652)

  * postinst: remove /etc/rcS.d/S20adjtimex link if configured not to run
    at startup (thanks to Mario 'BitKoenig' Holbe, closes:Bug#267229)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 19 Sep 2004 12:41:37 -0400

adjtimex (1.19-1) unstable; urgency=high

  * copyright: report upstream source address (closes:Bug#269691)

  * control: don't depend on either mawk or awk, since either works and
    awk is required (closes:Bug#267228)

  * New upstream release

  * adjtimex.c (compare): Account for the current frequency value
  when calculating the recommended frequency value.  Simplify
  calculation of recommended tick. (compare): print estimated system
  error in ppm instead of obscure "second diff".

  * adjtimex.8: use 2^16 instead of the more obscure 1<<16.

  * adjtimex.c: revert to poll-wait instead of using /dev/rtc, because the
    latter only provides time with one second precision and so gives
    wildly inaccurate adjustments. (closes:Bug#269498,Bug#265839)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 11 Sep 2004 16:01:52 -0400

adjtimex (1.18-1.1) unstable; urgency=medium

  * Non-maintainer upload prepared by Joshua Kwan and Ken Bloom.
  * Applied patch from Jurij Smakov <jurij@wooyd.org> to #263401:
    - Fixes the regular expression used to extract the baseline value
      from the adjtimex output. Closes: #263401
    - Replaces non-POSIX compliant calls to ('tail -1') by the
      POSIX-compliant ones ('tail -n 1')
    - Cosmetic changes to the adjtimexconfig output, making it
      consistent with the general Debian style.
  * Add German debconf template translations (closes: #250250)

 -- Ken Bloom <kabloom@ucdavis.edu>  Thu, 12 Aug 2004 23:34:33 -0700

adjtimex (1.18-1) unstable; urgency=low

  * New upstream release

  * call reset_time_status() only when explicitly told to (thanks to Alain
    Guibert <derogaton at oreka.com>, closes:bug#243031)

  * Add debconf translations for Japanese (closes:bug#223462), Danish
    (closes:bug#239865), and Brazilian Portuguese (closes:bug#228281).

 -- James R. Van Zandt <jrv@debian.org>  Sun, 11 Apr 2004 18:32:33 -0400

adjtimex (1.17-1) unstable; urgency=low

  * New upstream release

  * control: compliant with Debian policy version 3.6.1

  * es.po: decode "quoted-printable" encoding.

  * adjtimex.c: update email
    (main): If adjtimex() returns an error, print HZ and legal ranges
    for tick and freq.  (thanks to Sami Farin <safari at iki.fi>)
    (review): calculate reasonable tick and frequency when HZ != 100.
    (cmos_init): use /dev/rtc when available (thanks to Richard
    Henderson <rth at twiddle.net>).

  * adjtimex.c: --status switch sets clock status (courtesy of Alain
    Guibert <derogaton at oreka.com>) (closes:bug#242732)

  * adjtimexconfig: set reasonable tick and frequency when HZ !=
    100. (closes:Bug#241726)

  * adjtimex.c (longopt): fix spelling to match documentation: --esterror
    and --maxerror (thanks to Alain Guibert) (fixes:Bug#241863)

 -- James R. Van Zandt <jrv@debian.org>  Sat,  3 Apr 2004 21:13:09 -0500

adjtimex (1.16-3) unstable; urgency=low

  * Dutch translation of gettext debconf templates (courtesy of  Michiel Sikkes, closes:bug#215162)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 12 Oct 2003 17:33:55 -0400

adjtimex (1.16-2) unstable; urgency=low

  * Polish translation of gettext debconf templates (courtesy of  Bartosz
    Zapalowski, closes:bug#208955)

 -- James R. Van Zandt <jrv@debian.org>  Sun,  7 Sep 2003 16:26:30 -0400

adjtimex (1.16-1) unstable; urgency=low

  * New upstream release (closes:Bug#204382)(closes:Bug#204377)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 24 Aug 2003 20:52:32 -0400

adjtimex (1.15.1-2) unstable; urgency=low

  * gettext-based debconf templates (closes:bug#205788)
  * French translation of gettext debconf templates (closes:Bug#206430)
  * Spanish translation of gettext debconf templates (closes:Bug#197485)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 24 Aug 2003 18:01:56 -0400

adjtimex (1.15.1-1) unstable; urgency=low

  * New upstream release. Add explicit newlines in multi-line help text
    (closes:bug#194858)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 31 May 2003 20:53:14 -0400

adjtimex (1.15-1) unstable; urgency=low

  * New upstream release.  Now compiles on ia64 (closes:bug#141655).

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 30 Apr 2003 19:38:11 -0400

adjtimex (1.14-1) unstable; urgency=low

  * New Upstream Release.  Expanded documentation (closes:bug#142967)
  * convert to debhelper
  * debian/control: depend on debconf
  * debian/postinst: configure adjtimex to run on startup, and run
    adjtimexconfig on installation, only if asked by sysadmin (via
    debconf) (closes:bug#158047)
  * debian/postrm: purge debconf db entry
  * debian/adjtimexconfig: config file is now /etc/default/adjtimex

 -- James R. Van Zandt <jrv@debian.org>  Sun, 27 Apr 2003 21:28:40 -0400

adjtimex (1.13-1) unstable; urgency=low

  * New upstream release (closes:Bug#127483)

 -- James R. Van Zandt <jrv@debian.org>  Sun,  6 Jan 2002 21:06:23 -0500

adjtimex (1.12-3) unstable; urgency=low

  * New maintainer email (fix remaining references)

 -- James R. Van Zandt <jrv@debian.org>  Sun,  9 Dec 2001 15:25:06 -0500

adjtimex (1.12-2) unstable; urgency=low

  * New maintainer email

 -- James R. Van Zandt <jrv@debian.org>  Sun,  9 Dec 2001 13:24:59 -0500

adjtimex (1.12-1) unstable; urgency=low

  * New upstream release
  * debian/control: move Build-Depends entry to source section
    (closes:bug#91928).  Policy version 3.5.2
  * debian/rules: by default, compile without -g option.  Honor
    DEB_BUILD_OPTIONS.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 22 Nov 2000 01:37:58 -0500

adjtimex (1.11-3) unstable; urgency=low

  * adjtimexconfig: install new values in /etc/adjtimex.conf rather than
    the startup script /etc/init.d/adjtimex (thanks to Zsolt Szabo
    <szazs@mm.bme.hu>).

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 30 Sep 2000 09:34:58 -0400

adjtimex (1.11-2) unstable; urgency=low

  * build-depends on debmake

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  3 Sep 2000 13:50:02 -0400

adjtimex (1.11-1) unstable; urgency=low

  * /etc/init.d/adjtimex: restart|force-reload also run adjtimex
    (closes:bug#69514), add comment explaining precedence of
    /etc/adjtimex.conf

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 28 Aug 2000 21:19:48 -0400

adjtimex (1.10-1) frozen unstable; urgency=high

  * New upstream release - security fix: use popen() to recover output from
    ntpdate, instead of an unsafe temporary file (thanks to Colin Phipps
    <crp22@cam.ac.uk>) (closes:bug#56752)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue,  1 Feb 2000 21:29:03 -0500

adjtimex (1.9-2) unstable; urgency=low

  * Suggest ntpdate (closes:bug#56751)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 31 Jan 2000 19:26:16 -0500

adjtimex (1.9-1) unstable; urgency=low

  * New upstream release
  * Removed pointer to /usr/doc/copyright/GPL

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon,  3 Jan 2000 21:34:59 -0500

adjtimex (1.8.1-1) unstable; urgency=low

  * New upstream release (closes:bug#52637)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu, 16 Dec 1999 20:13:43 -0500

adjtimex (1.8-4) unstable; urgency=low

  * Change references from /usr/sbin/adjtimex to /sbin/adjtimex in
    adjtimexconfig

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue,  2 Nov 1999 20:21:48 -0500

adjtimex (1.8-3) unstable; urgency=low

  * *Really* install binary into /sbin, so it is available
    even if /usr is not mounted (closes:Bug#44399)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 30 Oct 1999 17:57:57 -0400

adjtimex (1.8-2) unstable; urgency=low

  * Install compatibility symlink /usr/doc/adjtimex.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 24 Oct 1999 10:54:01 -0400

adjtimex (1.8-1) unstable; urgency=low

  * New upstream release: Install binary into /sbin, so it is available
    even if /usr is not mounted (closes:Bug#44399)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon,  6 Sep 1999 13:08:15 -0400

adjtimex (1.7-2) unstable; urgency=low

  * Link against glibc2.1
  * Upgrade to FHS
  * Include full license statement in copyright file
  * Revise GPL reference in copyright file

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat,  4 Sep 1999 12:04:34 -0400

adjtimex (1.7-1) unstable; urgency=low

  * install configuration file in /etc/init.d rather than /etc/rc.boot
  closes: #30120, #32436.
  * New upstream release (incorporates Paul Slootman's alpha patch)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 28 Nov 1998 20:33:38 -0500

adjtimex (1.6-2) unstable; urgency=low

  * corrected reference in man page: clock -> hwclock (Bug#27854)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 24 Oct 1998 14:40:45 -0400

adjtimex (1.6-1.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * changed architecture back to 'any'. Why should it be i386 only?
  * don't use syscall1() to declare adjtimex() for Alpha

 -- Paul Slootman <paul@debian.org>  Tue,  8 Sep 1998 20:42:52 +0200

adjtimex (1.6-1) unstable; urgency=low

  * New upstream release: Default log file is "/var/log/clocks.log".
    Create log file if it does not exist. (Bug#25834)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 22 Aug 1998 20:33:22 -0400

adjtimex (1.5-3) unstable; urgency=low

  * architecture is i386 only

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 29 Jun 1998 19:35:22 -0400

adjtimex (1.5-2) unstable; urgency=low

  * eliminate question in postinst, by eliminating postinst entirely
    (Bug#22288)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun,  7 Jun 1998 20:51:42 -0400

adjtimex (1.5-1) frozen unstable; urgency=low

  * New upstream release.  No functional changes, but adjtimex is now
    covered by the GNU GPL. (Bug#21358)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon, 20 Apr 1998 21:38:53 -0400

adjtimex (1.4-2) unstable; urgency=low

  * Ensure that changelog is compressed *before* calculating md5sum
    (Bug#19266)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 14 Mar 1998 20:47:52 -0500

adjtimex (1.4-1) unstable; urgency=low

  * New upstream release.  Log times for long-term estimation of drifts.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Thu, 11 Dec 1997 21:48:01 -0500

adjtimex (1.3-3) stable; urgency=medium

  * Moved temporary files from /tmp to /etc, to eliminate security
    hole (bug #11610).

 -- Jim Van Zandt <jrv@vanzandt.mv.com>  Sun, 3 Aug 1997 11:34:48 -0400

adjtimex (1.3-2) stable; urgency=medium

  * Removed conflict with xntp, since ntpdate from the xntp package
    is still compatible with adjtimex.

 -- Jim Van Zandt <jrv@vanzandt.mv.com>  Wed, 12 Mar 1997 21:01:05 -0500

adjtimex (1.3-1) unstable; urgency=HIGH

  * New upstream version: Previous version allows 2.0 kernel to reset
    the CMOS clock periodically.  Now using different method of
    preventing this.
  * New --compare switch to compare system and CMOS clocks (replacing
    the separate program clockdiff) and suggest better values of time
    parameters.  New --adjust switch to actually install the suggested
    values.  GNU format long switches, including --help and --version.
  * Revised conftimex to use --adjust switch instead of clockdiff.
  * Renamed conftimex to adjtimexconfig per Debian recommendation.
  * Added conftimex man page.
  * Revised messages in postinst to better explain what is going on.
  * Conflicts with xntp
  * New maintainer

 -- Jim Van Zandt <jrv@vanzandt.mv.com>  Sat, 1 Mar 1997 18:03:35 -0500

adjtimex (1.2-5) unstable; urgency=LOW

  * New packaging format
  * Corrected comment in /etc/rc.boot/adjtimex
  * Corrected the installation of doc files

 -- Michael Meskes <meskes@debian.org>  Wed, 18 Sep 1996 09:22:51 +0200

Fri May 17 12:48:07 MET DST 1996 Michael Meskes (meskes@debian.org)

	adjtimex (1.2-1):

	* Added Debian Linux package maintenance system files.

Fri May 17 20:39:30 MET DST 1996 Michael Meskes	(meskes@debian.org)

        adjtimex (1.2-2):

	* Corrected mode for /etc/rc.boot/adjtimex

	* Added conftimex script

	* Automatically configure system

Sun Jun 30 13:17:53 MET DST 1996 Michael Meskes (meskes@debian.org)

        adjtimex (1.2-3):

	* Corrected rules file for new naming scheme

	* Gzip manpage

	* Strip binaries

Tue Jul  2 10:01:35 MET DST 1996 Michael Meskes (meskes@debian.org)

        adjtimex (1.2-4):

	* Really say what we're doing in postinst (Bug#3474)
